//选择成员-获取根部门和成员
function getRootDepartMemberNode(){
	$(".yk_selector_main").empty();
	$(".yk_selector_navbar .yk_selector_navbar_item").show();
	$(".backbtn").hide();
	$(".yk_selector_navbar .notfirst").remove();
	$(".yk_selector_checkbtn input").prop("checked",false);
	$.ajax({
		url:'/org/findOrgAndUserTreeNode',
		type:'get',
		async:false,
		data:{},
		success:function(data){
			for( var i=0;i<data.length;i++ ){
				if( !data[i].type ){
					$(".yk_selector_main").append('<li dataid="'+data[i].id+'"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');	
				}else{
					$(".yk_selector_main").append('<li dataid="'+data[i].id+'" class="user"><input class="leftcheck" type="checkbox"><i class="icon icon-user"></i><span>'+data[i].name+'</span></li>');
				}
			};
			i = null;
		},
		error:function(status){
			new $.zui.Messager('获取根部门和成员错误:'+status, {
			    type: 'danger'
			 }).show();	
		}
	});
};

//选择成员-填充左侧要选择的部门和人员(根据 id 获取下级部门和人员)
function fillSelectorAndMemberMain(event){
	$(".yk_selector_main").empty();
	$(".yk_selector_checkbtn input").prop("checked",false);
	var parentId;
	if( $(event.target).hasClass("childDepart") ){
		$(".yk_selector_navbar").append('<div dataid="'+$(event.target).parents('li').attr('dataid')+'" class="yk_selector_navbar_item notfirst"><i class="icon icon-angle-right"></i><span>'+$(event.target).parents('li').find('span').text()+'</span></div>');
		parentId = $(event.target).parents('li').attr('dataid')
	}else if( $(event.target).hasClass("backbtn") ){
		$('.yk_selector_navbar .yk_selector_navbar_item:last').remove();
		$('.yk_selector_navbar .yk_selector_navbar_item:last').remove();
		parentId = $('.yk_selector_navbar .yk_selector_navbar_item:last').attr('dataid');
	}else{
		if( $(event.target).hasClass("yk_selector_navbar_item") ){
			$(event.target).nextAll().remove();
			parentId = $(event.target).attr("dataid")			
		}else{
			$(event.target).parents(".yk_selector_navbar_item").nextAll().remove();
			parentId = $(event.target).parents(".yk_selector_navbar_item").attr("dataid")	
		}
	};
	$(".yk_selector_navbar").find(".yk_selector_navbar_item").show();
	if( $(".yk_selector_navbar").find(".yk_selector_navbar_item").length>3 ){
		$(".backbtn").show();
		for( var i=0;i<$(".yk_selector_navbar").find(".yk_selector_navbar_item").length-3;i++ ){
			$(".yk_selector_navbar").find(".yk_selector_navbar_item").eq(i).hide();
		}
		i = null;
	}else{
		$(".backbtn").hide();
	}
	$.ajax({
		url:'/org/findOrgAndUserTreeNode',
		type:'get',
		async:false,
		data:{
			parentId:parentId
		},
		success:function(data){
			for( var i=0;i<data.length;i++ ){
				if( !data[i].type ){
					$(".yk_selector_main").append('<li dataid="'+data[i].id+'"><i class="icon icon-folder-close"></i><span>'+data[i].name+'</span><em class="childDepart">子部门</em></li>');	
				}else{
					$(".yk_selector_main").append('<li dataid="'+data[i].id+'" class="user"><input class="leftcheck" type="checkbox"><i class="icon icon-user"></i><span>'+data[i].name+'</span></li>');
				}
			};
			i = null;
		},
		error:function(){
			new $.zui.Messager('获取部门错误:'+status, {
			    type: 'danger'
			 }).show();	
		}
	}); 
	for( var i=0;i<$(".yk_selector_main li").length;i++ ){
		for( var j=0;j<$(".yk_check_main li").length;j++ ){
			if( $(".yk_selector_main li").eq(i).attr("dataid") == $(".yk_check_main li").eq(j).find(".icon-remove-circle").attr("dataid") ){
				$(".yk_selector_main li").eq(i).find(".leftcheck").prop("checked",true);
				break;
			}
		};
		j = null;
	};
	i = null;
	return false;
};

$(function(){
	if( checkRoleName=='超级管理员' || checkRoleName=='业务超管' ){
		$(".yk_roleGridTitle span:first").hide();
	}else{
		$(".yk_roleGridTitle span:first").show();
	};
	
	//获取成员列表
	function getRoleMemberGrid(rows){
		$('.roleMemberGrid').empty();
		$.ajax({
			url:'/user/do_listByRole',
			type:'get',
			data:{
				roleId:checkRoleId,
				page:1,
				rows:rows
			},
			async:false,
			success:function(data){
				var roleMemberDiv = '';
				if( data.rows.length<=0 ){
					roleMemberDiv += '<span style="color:#909399;text-align:center;padding:0.05rem;font-size:0.14rem;display:block;">该角色下无成员</span>'
				}else{
					for( var i=0;i<data.rows.length;i++ ){
						if( checkRoleName=='超级管理员' || checkRoleName=='业务超管' ){
							roleMemberDiv += '<div class="roleMemberdiv" dataid="'+data.rows[i].id+'"><p style="width:15%">'+data.rows[i].name+'</p><p style="width:31%;text-align:left;">'+data.rows[i].relativeName.substring(0,data.rows[i].relativeName.length-1)+'</p><p></p><p>'+data.rows[i].mobile+'</p></div>'
						}else{
							roleMemberDiv += '<div class="roleMemberdiv board-item disable-drop" dataid="'+data.rows[i].id+'"><p style="width:5% !important" class="roleMemberCheck"><input type="checkbox"></p><p style="width:15% !important">'+data.rows[i].name+'</p><p style="width:31% !important;text-align:left !important;">'+data.rows[i].relativeName.substring(0,data.rows[i].relativeName.length-1)+'</p><p style="width:23% !important;">'+(data.rows[i].jobNumber?data.rows[i].jobNumber:'')+'</p><p style="width:23% !important;">'+data.rows[i].mobile+'</p></div>'
						}
						
					};
					i = null;
					if( data.rows.length < data.records ){
						roleMemberDiv += '<div class="loadMore">点击加载更多</div>'			
					};
				};
				$('.roleMemberGrid').append(roleMemberDiv)
			},
			error:function(status){
				new $.zui.Messager('获取成员列表发生错误:'+status, {
				    type: 'danger'
				}).show();
			}
		})
	};
	getRoleMemberGrid(50);
	
	//点击加载更多成员
	$(".roleMemberGrid").on("click",".loadMore",function(){
		getRoleMemberGrid((Math.ceil($(".roleMemberGrid .roleMemberdiv").length/50)+1)*50);
		$('.yk_orgContent').get(0).scrollTop = $('.yk_orgContent').get(0).scrollHeight;
	});
	
	//全选
	$(".yk_roleGridTitle .checkAll").click(function(){
		if( $(this).is(":checked") ){
			$(".roleMemberGrid").find(".roleMemberCheck input").prop("checked",true);
		}else{
			$(".roleMemberGrid").find(".roleMemberCheck input").prop("checked",false);
		}
	});
	
	//批量移除成员
	$('.yk_orgDepartBtnbox').on('click',".deletesRoleMember",function(){
		if( $(".roleMemberGrid").find(".roleMemberCheck input:checked").length==0 ){
			new $.zui.Messager('请至少选择一个成员', {
			    type: 'danger'
			}).show();
			return;
		};
		bootbox.confirm({
			title : '移除成员',
			message : '<div style="text-align:left;font-size:0.12rem">确认要移除这些成员吗？</div>',
			size : 'small',
			buttons : {
				cancel : {
					label : '取消',
					className:'btn-white btn-info'
				},
				confirm : {
					label : '确定',
					className:'btn-white btn-info colorbtn'
				}
			},
			callback:function(result){
				if (result) {
					var removeUserRoleData = {};
					removeUserRoleData.roleId = checkRoleId;
					removeUserRoleData.userIds = '';
					for( var i=0;i<$(".roleMemberGrid").find(".roleMemberCheck input:checked").length;i++ ){
						removeUserRoleData.userIds += $(".roleMemberGrid").find(".roleMemberCheck input:checked").eq(i).parents(".roleMemberdiv").attr("dataid")+','
					};
					i = null;
					removeUserRoleData.userIds = removeUserRoleData.userIds.substring(0,removeUserRoleData.userIds.length-1)
					$.ajax({
						url:'/role/do_removeUserRole',
						type:'post',
						data:removeUserRoleData,
						success:function(data){
							if( data.success ){
								new $.zui.Messager('批量移除成功', {
								    type: 'success'
								}).show();
								getLongUser();//移除成员成功后根据当前用户权限重新加载对应页面
								if( $(".roleMemberGrid .roleMemberdiv").length<=50 ){
									getRoleMemberGrid(50);	
								}else{
									getRoleMemberGrid((Math.ceil($(".roleMemberGrid .roleMemberdiv").length/50)+1)*50);
								}
							}else{
								new $.zui.Messager('批量移除失败'+data.msg, {
								    type: 'danger'
								}).show();
							}
						},
						error:function(status){
							new $.zui.Messager('批量移除时出错:'+status, {
							    type: 'danger'
							}).show();
						}
					})
				}
			}
		})
	});
	
	var transferAllPermissionNodes = [];//转换为一层结构的所有权限节点
	//递归处理所有权限节点
	function loopAllPermission(data){
		for( var j=0;j<data.length;j++ ){
			transferAllPermissionNodes.push(data[j]);
			if( data[j].children!=undefined && data[j].children.length>0 ){
				loopAllPermission(data[j].children)
			}
		};
		j = null;
	};
	
	//获取角色信息
	function getRoleMessage(){
		var rPid = '';
		$.ajax({
			url:'/role/do_get',
			type:'get',
			async:false,
			data:{
				id:checkRoleId
			},
			success:function(data){
				if( data.success ){
					$("#myModal-addRole #roleName").val(data.data.name);
					
					if( data.data.name == '业务超管' ){
						$("#myModal-addRole #roleName").prop('disabled',true);
						$("#myModal-addRole #roleName").css('color','#868686');
					}else{
						$("#myModal-addRole #roleName").prop('disabled',false);
						$("#myModal-addRole #roleName").css('color','#333');
					};
					
					$("#myModal-addRole #toGroup").val(data.data.parent.id);
					rPid = data.data.parent.id;
					//先取消所有权限节点选中状态
					$.fn.zTree.getZTreeObj("permissionTree").checkAllNodes(false);
					//所有权限节点
					var allPermissionNodes = $.fn.zTree.getZTreeObj("permissionTree").getNodes();
					roleHavePermissions = data.data.permissions;
					for( var i=0;i<allPermissionNodes.length;i++ ){
						transferAllPermissionNodes.push( allPermissionNodes[i] );
						if( allPermissionNodes[i].children!=undefined && allPermissionNodes[i].children.length>0 ){
							loopAllPermission(allPermissionNodes[i].children);
						}
					};
					i = null;
					//勾选已有权限节点
					for( var j=0;j<data.data.permissions.length;j++ ){
						for( var i=0;i<transferAllPermissionNodes.length;i++ ){
							if( data.data.permissions[j].id == transferAllPermissionNodes[i].id  ){
								$.fn.zTree.getZTreeObj("permissionTree").checkNode(transferAllPermissionNodes[i], true, false);
								break;
							}
						};
						i = null;
					};
					j = null;
				}else{
					new $.zui.Messager('获取角色信息失败:'+data.msg, {
					    type: 'danger'
					}).show();
				}
			},
			error:function(status){
				new $.zui.Messager('获取角色信息发生错误:'+status, {
				    type: 'danger'
				}).show();
			}
		});
		return rPid;
	};
	
	//编辑角色
	$(".editRoleBtn").click(function(){
		$("#myModal-addRole").modal("show");
		findGroupRole();
		$("#myModal-addRole .modal-title").text('编辑角色');
		$(".updateRoleSave,.deleteRoleSave").show();
		$(".addRoleSave").hide();
		$("#toGroup").removeClass('error').next().hide();
		// 默认角色组的角色编辑时不显示'分组到'和'删除'按钮
		if( getRoleMessage()==1 ){
			$(".deleteRoleSave").hide();
			$('#myModal-addRole tr').eq(1).addClass('hide');
		}else{
			$(".deleteRoleSave").show();
			$('#myModal-addRole tr').eq(1).removeClass('hide');
		};
	});
	
	//编辑角色-删除
	$(".deleteRoleSave").unbind("click").bind("click",function(){
		$.ajax({
			url:'/role/do_deletes',
			type:'post',
			data:{
				ids:checkRoleId
			},
			success:function(data){
				if(data.success){
					new $.zui.Messager('删除角色成功', {
					    type: 'success'
					}).show();
					refreshUserTree();
					checkRoleId = checkRoleSuperId;
					checkRoleName = '超级管理员';
					$(".yk_orgContent").load('/org/memberContent',function(){
				    		$(".yk_orgContentTitle button,.roleOperateBtn").remove();	
				    		setSelectNode();//设置选中超级管理员
					});
				}else{
					new $.zui.Messager('删除角色失败:'+data.msg, {
					    type: 'danger'
					}).show();
				}
			},
			error:function(status){
				new $.zui.Messager('删除角色时出错:'+status, {
				    type: 'danger'
				}).show();
			}
		});
		$("#myModal-addRole").modal("hide");
	});
	
	//编辑角色-保存
	$(".updateRoleSave").unbind("click").bind("click",function(){
		if( !childDepartValid({'data':{'chose':'#roleName','name':'角色'}}) ){
			return
		};
		if( !$("#myModal-addRole tr").eq(1).hasClass('hide') ){
			if( $("#toGroup").val()==null || $("#toGroup").val()==undefined || $("#toGroup").val()=='' ){
				$("#toGroup").addClass('error').next().show();
				return;
			};
		};
		
		var updateRoleData = {};
		updateRoleData.id = checkRoleId;
		updateRoleData.name = $("#roleName").val();
		if( !$("#myModal-addRole tr").eq(1).hasClass('hide') ){
			updateRoleData['parent.id'] = $("#toGroup").val();
		}else{
			updateRoleData['parent.id'] = 1;
		};
		var updateCheckedPermissionNodes = $.fn.zTree.getZTreeObj("permissionTree").getCheckedNodes(true);
		if( updateCheckedPermissionNodes.length<=0 ){
			new $.zui.Messager('请选择权限',{type:'danger'}).show();
			return;
		};
		for( var i=0;i<updateCheckedPermissionNodes.length;i++ ){
			updateRoleData['permissions['+i+'].id'] = updateCheckedPermissionNodes[i].id;
		};
		i = null;
		$.ajax({
			url:'/role/do_update',
			type:'post',
			data:updateRoleData,
			success:function(data){
				if( data.success ){
					new $.zui.Messager('编辑角色成功', {
					    type: 'success'
					}).show();
					getLongUser();//编辑角色成功后根据当前用户权限重新加载对应页面
					refreshUserTree();
					$(".yk_orgContentTitle span").text($("#roleName").val())
				}else{
					new $.zui.Messager('编辑角色失败:'+data.msg, {
					    type: 'danger'
					}).show();
				}
			},
			error:function(status){
				new $.zui.Messager('编辑角色时出错:'+status, {
				    type: 'danger'
				}).show();
			}
		});
		$("#myModal-addRole").modal("hide");
	});
	
	//添加成员
	$(".yk_orgDepartBtnbox").on("click",'.addRoleMember',function(){
		$("#myModal-adjustDepartment").modal("show");
		$(".yk_check_main").empty();
		getRootDepartMemberNode();
	});
	
	//选择人员-点击子部门
	$('.yk_selector_main').on("click",'li em',fillSelectorAndMemberMain);
	
	//选择人员-选择部门的导航头点击
	$(".yk_selector_navbar").on("click",'.yk_selector_navbar_item.notfirst:not(:last)',fillSelectorAndMemberMain);
	$(".yk_selector_navbar").on("click",'.yk_selector_navbar_item:not(.notfirst)',getRootDepartMemberNode);
	
	//选择人员-选择部门的导航头'返回箭头'效果
	$(".yk_selector_navbar").on("click",'.backbtn',fillSelectorAndMemberMain);
	
	//选择人员-选中人员
	$(".yk_selector_main").on("click","li.user",function(e){
		if( $(e.target).hasClass("leftcheck") ){
			if( $(e.target).is(":checked") ){
				$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
			}else{
				 $(".yk_check_main").find(".yk_check_list_item_"+$(this).attr("dataid")).remove();
			}
		}else{
			if( $(this).find("input").is(":checked") ){
				 $(this).find("input").prop("checked",false);
				 $(".yk_check_main").find(".yk_check_list_item_"+$(this).attr("dataid")).remove();
			}else{
				$(this).find("input").prop("checked",true);
				$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+$(this).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(this).find("span").text()+'</span><i dataid="'+$(this).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
			}	
		}
	})
	
	//选择人员-全选
	$(".yk_selector_checkbtn input").click(function(){
		if( $(this).is(":checked") ){
			$(".yk_selector_main li input").prop("checked",true);
			for( var i=0;i<$(".yk_selector_main li.user").length;i++ ){
				if( $(".yk_check_main").find(".yk_check_list_item_"+$(".yk_selector_main li.user").eq(i).attr("dataid")).length<=0 ){
					$(".yk_check_main").append('<li class="yk_check_list_item yk_check_list_item_'+$(".yk_selector_main li.user").eq(i).attr("dataid")+'"><i class="icon icon-user"></i><span>'+$(".yk_selector_main li.user").eq(i).find("span").text()+'</span><i dataid="'+$(".yk_selector_main li.user").eq(i).attr("dataid")+'" class="icon icon-remove-circle"></i></li>')
				}
			};
			i = null;
		}else{
			$(".yk_selector_main li input").prop("checked",false);
			for( var i=0;i<$(".yk_selector_main li.user").length;i++ ){
				$(".yk_check_main").find(".yk_check_list_item_"+$(".yk_selector_main li.user").eq(i).attr("dataid")).remove();
			};
			i = null;
		}
	});
	//选择人员-右侧叉号取消选中
	$(".yk_check_main").on("click",".icon-remove-circle",function(){
		for( var i=0;i<$(".yk_selector_main li.user").length;i++ ){
			if( $(".yk_selector_main li.user").eq(i).attr("dataid") == $(this).attr("dataid") ){
				$(".yk_selector_main li.user").eq(i).find(".leftcheck").prop("checked",false);
				break;
			}
		};
		i = null;
		$(this).parents(".yk_check_list_item").remove();
		
	});
	
	//确认添加成员
	$(".chooseMemberSure").click(function(){
		if( $(".rightAlreadyCheck .yk_check_list_item").length<=0 ){
			new $.zui.Messager('至少选择一个成员', {
			    type: 'danger'
			 }).show();
			return;
		}
		var checkMemberPostData = {};
		checkMemberPostData.roleId = checkRoleId;
		checkMemberPostData.userIds = '';
		for( var i=0;i<$(".rightAlreadyCheck .yk_check_list_item").length;i++ ){
			checkMemberPostData.userIds += $(".rightAlreadyCheck .yk_check_list_item").eq(i).find(".icon-remove-circle").attr("dataid")+',';
		};
		i = null; 
		checkMemberPostData.userIds = checkMemberPostData.userIds.substring(0,checkMemberPostData.userIds.length-1);
		$.ajax({
			url:'/role/do_addUserRole',
			type:'post',
			data:checkMemberPostData,
			success:function(data){
				if( data.success ){
					new $.zui.Messager('添加成员成功', {
					    type: 'success'
					 }).show();
					getLongUser();//添加成员成功后根据当前用户权限重新加载对应页面
					if( $(".roleMemberGrid .roleMemberdiv").length<=50 ){
						getRoleMemberGrid(50);	
					}else{
						getRoleMemberGrid((Math.ceil($(".roleMemberGrid .roleMemberdiv").length/50)+1)*50);
					}
				}else{
					new $.zui.Messager('添加成员失败:'+data.msg, {
					    type: 'danger'
					 }).show();
				}
			},
			error:function(status){
				new $.zui.Messager('添加成员时发生错误:'+status, {
				    type: 'danger'
				 }).show();
			}
		})
		$("#myModal-adjustDepartment").modal("hide");
	});
	
	//撤销调整排序操作
	var cancleRoleMemberDrag = function(){
		$(".dragRoleMemberBoards").find(".board-item").addClass("disable-drop");
		$(".roleOperateBtn.yk_orgDepartBtnbox").css("margin-bottom","0.08rem");
		$(".dragRoleMemberBoards").find(".roleMemberCheck,.checkAll").show();
		$(".dragRoleMemberTip").slideUp();
		if( $(".roleMemberGrid .roleMemberdiv").length<=50 ){
			getRoleMemberGrid(50);	
		}else{
			getRoleMemberGrid((Math.ceil($(".roleMemberGrid .roleMemberdiv").length/50)+1)*50);
		}
		$('.dragRoleMemberBoards').removeClass("yk_adjustMaskZindex");
		$(".yk_adjustMask").hide();
		$(".loadMore").show();
	};
	
	//调整排序按钮
	$(".adjustRoleMemberSort").click(function(){
		if( $(".dragRoleMemberBoards").find(".board-item").length<=0 ){
			new $.zui.Messager('没有可调整排序的成员', {
			    type: 'danger'
			 }).show();
			return;
		};
		
		$(".yk_adjustMask").show();
		$(".loadMore").hide();
		$(".dragRoleMemberTip,.dragRoleMemberBoards").addClass("yk_adjustMaskZindex");
		
		if( $(".dragRoleMemberBoards").find(".board-item").hasClass("disable-drop") ){
			$(".dragRoleMemberBoards").find(".board-item").removeClass("disable-drop");
			$(".roleOperateBtn.yk_orgDepartBtnbox").css("margin-bottom","0px");
			$(".dragRoleMemberBoards").find(".roleMemberCheck,.checkAll").hide();
			$(".dragRoleMemberTip").slideDown();
			//初始化拖拽排序
			$(".dragRoleMemberBoards").removeData("zui.boards")
			$(".dragRoleMemberBoards").boards({
			    drop: function(e){
			        //$.zui.messager.show(e.element.text() + " 拖放成功 ");
			    }
			});
		}
	});
	
	//撤销调整排序
	$(".yk_adjustMask").unbind('click').click(cancleRoleMemberDrag);
	$(".cancelRoleMemberDrag").click(cancleRoleMemberDrag);
	
	//保存调整顺序
	$(".saveRoleMemberDrag").click(function(){
		$(".dragRoleMemberBoards").find(".board-item").addClass("disable-drop");
		$(".roleOperateBtn.yk_orgDepartBtnbox").css("margin-bottom","0.08rem");
		$(".dragRoleMemberBoards").find(".roleMemberCheck,.checkAll").show();
		$(".dragRoleMemberTip").slideUp();
		var adjustPostData = {};
		$('.yk_adjustMaskZindex').removeClass("yk_adjustMaskZindex");
		$(".yk_adjustMask").hide();
		$(".loadMore").show();
		//保存排序
		for( var i=0;i<$(".dragRoleMemberBoards .board-item:not(.board-item-empty,.board-item-shadow)").length;i++ ){
			adjustPostData['list['+i+'].userId'] = $(".dragRoleMemberBoards .board-item:not(.board-item-empty,.board-item-shadow)").eq(i).attr("dataid");
			adjustPostData['list['+i+'].roleId'] = checkRoleId;
			adjustPostData['list['+i+'].gradation'] = i;
		};
		i = null;
		$.ajax({
			url:'/role/do_adjustOrder',
			type:'post',
			data:adjustPostData,
			success:function(data){
				if( data.success ){
					if( data.data ){
						new $.zui.Messager('调整成员排序成功', {
						    type: 'success'
						 }).show();
						if( $(".roleMemberGrid .roleMemberdiv").length<=50 ){
							getRoleMemberGrid(50);	
						}else{
							getRoleMemberGrid((Math.ceil($(".roleMemberGrid .roleMemberdiv").length/50)+1)*50);
						}
					}else{
						new $.zui.Messager('调整成员排序失败', {
						    type: 'success'
						 }).show();
					}
				}else{
					new $.zui.Messager('调整成员排序请求失败:'+data.msg, {
					    type: 'danger'
					 }).show();	
				}
			},
			error:function(status){
				new $.zui.Messager('调整成员排序时发生错误:'+status, {
				    type: 'danger'
				 }).show();	
			}
		})
	});
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
});